void	USERS_sendAll(char * String, int ToWho);
int 	USERS_init(void);
long 	USERS_newRecord(char * CallSign);
void 	USERS_updateRecord(int StreamNum);
void 	USERS_saveRecord(int StreamNum);
void 	USERS_getRecord(int StreamNum);
void 	USERS_changeConfig(char * CallSign, char * String, int Data);
void 	USERS_updateLocalConfig(int StreamNum);
int	USERS_getHomeQth(char * UserCall, char * HomeQth);
int	USERS_isExit(char * UserCall);
int	USERS_get(char * UserCall, char * String, int Field);
void 	USERS_setFlags(int StreamNum, unsigned int iFlags);
void 	USERS_sendUserLoginAnnouncement(int StreamNum, char * pszUserCall, int nMsg);
void 	USERS_sendNodeLoginAnnouncement(char * pszNodeCall, int nIsIN);

unsigned int USERS_getFlags(int StreamNum);
unsigned long USERS_openRecord(int StreamNum, char * UserCall);

typedef struct
{
  char 	sCallSign[7];	//Indicatif de l'utilisateur, sans le SSID
  char 	sHomeNode[10];  //Home node
  char  sName[23];	//Prnom, max 22 caractres
  char	sQth[81];	//Maximum 80 caractres
  char  sLocator[7];    //Locator

  BYTE	cPage;		//Page length
  BYTE  cLanguage;	//Quelle langue

  unsigned int iBandsOff;	//Recevoir les spots sur quelle bande ?
  unsigned int iFlags;		//Divers flags

  unsigned long	lLogins;	//Nombre de connexions
  unsigned long lLastMsg;	//Dernier message list
  unsigned long lLastConnect;	//Date et heure de la dernire connexion
} tUser;

typedef struct
{
  //Mode TALK
  char	sTalkToUser[11];
  char  sTalkToNode[11];

  //Identification SYSOP
  char	sPassword[6];
  char	sMD2[33];	//Chaine de 32 octets + SNULL a la fin

  //Divers
  char	sFileName[256];		//Chaine de caracteres pour memoriser un nom de fichier (UPDATE DataBase, etc...)
  char *pBuffer;		//Pointeur vers un buffer dynamique
  unsigned int iBufferLength;	//Taille du buffer dynamique en question

  //Date et Heure de la connexion
  unsigned long	lConnectedDateTime;

  //Edition d'un utilisateur
  char  sEditUser[7];
  char  sHomeNode[10];
  char	sName[23];
  char	sQth[81];
  char  sLocator[7];

} tUserCfg;

#define USERS_NAME		1
#define USERS_QTH		2
#define USERS_COORDINATES	3
#define USERS_HOME		4
#define USERS_LOCATOR		5

#define USERS_ALL		1
#define USERS_SYSOP		2
#define USERS_EXCEPTCONSOLE	3

#define USERS_NOBEEP		1	//Est a 1 quand pas de beep
#define USERS_NOLOGIN		2
